Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg-x11-6.9 -> xorg-x11-7.0-r1 everything blocked (solved)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 284
Location: Den Haag, Netherlands

PostPosted: Thu Mar 23, 2006 8:08 pm    Post subject: xorg-x11-6.9 -> xorg-x11-7.0-r1 everything blocked (solve Reply with quote

# emerge -upD world
These are the packages that would be merged, in order:

Calculating world dependencies... done!
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-drivers/xf86-input-elographics-1.0.0.5)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xproto-7.0.4)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-misc/util-macros-1.0.1)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/inputproto-1.3.2)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/kbproto-1.0.2)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libX11-1.0.0-r2)
[.......]
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-drivers/xf86-video-apm-1.0.1.5)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-drivers/xf86-input-mouse-1.0.4)
[blocks B ] <=x11-base/xorg-x11-6.9 (is blocking x11-drivers/xf86-video-i810-1.4.1.3)
[ebuild N ] x11-misc/linuxwacom-0.7.2 USE="gtk gtk2 usb -dlloader -sdk -tcltk"
[ebuild N ] x11-misc/util-macros-1.0.1 USE="-debug"
[ebuild N ] x11-proto/xproto-7.0.4 USE="-debug"
[.......]
[ebuild N ] x11-drivers/xf86-video-i810-1.4.1.3 USE="dri -debug"
[ebuild U ] x11-base/xorg-x11-7.0-r1 [6.8.2-r6] INPUT_DEVICES="-acecad% -aiptek% -calcomp% -citron% -digitaledge% -dmc% -dynapro% -elo2300% -elographics% -evdev% -fpit% -hyperpen% -jamstudio% -joystick% -keyboard% -magellan% -magictouch% -microtouch% -mouse% -mutouch% -palmax% -penmount% -spaceorb% -summa% -synaptics% -tek4957% -ur98% -vmmouse% -void% -wacom%" VIDEO_CARDS="-apm% -ark% -ati% -chips% -cirrus% -cyrix% -dummy% -fbdev% -fglrx% -glint% -i128% -i740% -i810% -imstt% -mga% -neomagic% -nsc% -nv% -nvidia% -rendition% -s3% -s3virge% -savage% -siliconmotion% -sis% -sisusb% -tdfx% -tga% -trident% -tseng% -v4l% -vesa% -vga% -via% -vmware% -voodoo%"

How do i upgrade xorg? I can't unmerge xorg first.
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees


Last edited by houtworm on Thu Mar 23, 2006 8:43 pm; edited 2 times in total
Back to top
View user's profile Send private message
Ferdinando
Veteran
Veteran


Joined: 25 Nov 2003
Posts: 1027
Location: Gaeta (LT) - Italy

PostPosted: Thu Mar 23, 2006 8:15 pm    Post subject: Reply with quote

Read http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml

Bye
_________________
La risposta, non la devi cercare fuori, la devi cercare dentro di te: e però è SBAGLIATA!
-- Corrado Guzzanti, "Pippo Chennedy Show", 1997
Back to top
View user's profile Send private message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 284
Location: Den Haag, Netherlands

PostPosted: Thu Mar 23, 2006 8:42 pm    Post subject: Reply with quote

Thanks Ferdinando. So There is no other option, i have to unmerge xorg first :-/
Ok, perhaps tonight :-)
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
Ferdinando
Veteran
Veteran


Joined: 25 Nov 2003
Posts: 1027
Location: Gaeta (LT) - Italy

PostPosted: Thu Mar 23, 2006 8:47 pm    Post subject: Reply with quote

houtworm wrote:
So There is no other option, i have to unmerge xorg first :-/

I did it from within kde; firefox was lost at the first click, unlike most of the other apps. It's been a long evening :(

Bye
_________________
La risposta, non la devi cercare fuori, la devi cercare dentro di te: e però è SBAGLIATA!
-- Corrado Guzzanti, "Pippo Chennedy Show", 1997
Back to top
View user's profile Send private message
frobie
Tux's lil' helper
Tux's lil' helper


Joined: 30 Jun 2005
Posts: 96

PostPosted: Sun Jun 04, 2006 5:05 am    Post subject: Emerge world is blocked by old xorg [solved] Reply with quote

I am attempting to do an emerge world however it is telling me that certain ebuilds are being blocked by an older version of xorg than what I have, I am currently using modular xorg 7.1 and it is telling me that xorg 6.9 is blocking many packages and also that it wants to install xorg 6.8.2-r7 to replace xorg 7.1 I am not sure what I am doing wrong. Any help would be greatly appreciated.

Last edited by frobie on Mon Jun 05, 2006 6:14 pm; edited 1 time in total
Back to top
View user's profile Send private message
/dev/random
l33t
l33t


Joined: 26 Nov 2004
Posts: 704
Location: Austin, Texas, USA

PostPosted: Sun Jun 04, 2006 6:38 am    Post subject: Reply with quote

http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml#doc_chap3
That explains why you have this problem and this tells you what to do about it. If that's too much, then please list the offending files or check and see if a bug report about them exists on https://bugs.gentoo.org.
Back to top
View user's profile Send private message
warhawk
n00b
n00b


Joined: 12 Feb 2003
Posts: 22

PostPosted: Sun Jun 04, 2006 11:52 am    Post subject: Reply with quote

same problem here, virtual/xft-6.8 was blocking, added "virtual/xft ~x86" to /etc/portage/package.keywords and installed virtual/xft-7.0
Back to top
View user's profile Send private message
didumos
Guru
Guru


Joined: 19 Jan 2006
Posts: 322
Location: uk

PostPosted: Sun Jun 04, 2006 12:39 pm    Post subject: Reply with quote

I had the same problem this morning and used the same solution as warhawk. One thing I don't understand is why I need both "x11-libs/libXft" and "virtual/xft" in package.keywords, but not "virtual/x11" when I also have "x11-base/xorg-x11" in there. :?

Just a little note though; you don't need to add ~arch to every package listed in package.keywords anymore, just leave it as is and ~arch is assumed.
Back to top
View user's profile Send private message
frobie
Tux's lil' helper
Tux's lil' helper


Joined: 30 Jun 2005
Posts: 96

PostPosted: Mon Jun 05, 2006 6:13 pm    Post subject: Reply with quote

Thats strange how did you come up with that as a solution, I mean it worked and I am gratefull but where did that come from?
Back to top
View user's profile Send private message
didumos
Guru
Guru


Joined: 19 Jan 2006
Posts: 322
Location: uk

PostPosted: Mon Jun 05, 2006 6:44 pm    Post subject: Reply with quote

Well the way I figured it out was to use the -t switch for emerge, which gives a tree view and lets you see the dependancies of packages that need updating. In this case it showed that x11-base/xorg-x11-6.8.2-r7 (the blocking package) was being pulled in by virtual/xft-6.8.

The virtual/xft-7.0 ebuild is ~arch masked so I think that's why unmasking it fixed things.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Jun 05, 2006 7:46 pm    Post subject: Reply with quote

Merged from this post to this thread, and stuck the thread as this is a problem that keeps coming up.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
cmulcahy
n00b
n00b


Joined: 03 Aug 2004
Posts: 64
Location: Minneapolis, MN

PostPosted: Fri Jun 30, 2006 5:48 pm    Post subject: Another xorg-x11 blocking thread Reply with quote

I apologize for double-posting this. I realized I posted my question into a thread marked [RESOLVED]. My question isn't resolved but the original, very similar, question was apparently resolved.
---
OK, the documentation at:
http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml
is a bit obtuse. It looks risky to perform without completely hosing my machine. It also makes a lot of assumptions of the knowledge of Portage of the user.
Quote:
Download the package list, and open it in a text editor of your choice. Copy and paste the full modular X mask over to package.keywords. If none of that made any sense, read the handbook section on masking.

I read the handbook section about masking. I'm still not certain what this documentation wants me to do.

I'm looking for some guidance on how to resolve this on my own machine. Every now and then something major changes which causes a lot of blocking packages (check my posting history). That causes me to search the forums to find out what changed and what to do to fix it. Sometimes there is good documentation on what to do to adjust to the changes put out by the Portage group.

This time, however, the documentation on what changed, why and how to respond to those changes is a bit lacking.

Can someone help out a frustrated Gentoo-fan? I love the distro. I've tried many others over the last 8 years (4 years Linux on the desktop 100%). I landed on Gentoo because of the stability and power of Portage. These massive changes are a bit frustrating.

<Deep Breath> There, I feel better. Thanks for listening.

How do I move forward? A change such as this affecting probably most people must have some simple-to-follow, low-risk instructions or an automated "respond to our new changes" script.

Help is greatly appreciated!

Thanks
_________________
Having a non-smoking section in a restaraunt is as effective as having a non-peeing section in a pool.
Back to top
View user's profile Send private message
hjnenc
Veteran
Veteran


Joined: 15 Aug 2004
Posts: 1599
Location: Vienna, Austria

PostPosted: Fri Jun 30, 2006 6:25 pm    Post subject: Reply with quote

The guide was written before modular X got stable on some archs. So just leave out the stuff on putting the packages into package.keywords (because the packages are now stable on x86) and follow the guide in the other points.
Back to top
View user's profile Send private message
pkimber
n00b
n00b


Joined: 14 May 2005
Posts: 2

PostPosted: Fri Jun 30, 2006 8:33 pm    Post subject: Reply with quote

The guide is hard for a beginner (like me)...

How do I do the following?

If your /usr/X11R6 isn't a symlink to /usr, delete it and start from scratch. But first, save a list of all the packages installing there. The gentoolkit package provides equery

Thanks
Back to top
View user's profile Send private message
UncleOwen
Veteran
Veteran


Joined: 27 Feb 2003
Posts: 1493
Location: Germany, Hamburg

PostPosted: Fri Jun 30, 2006 8:41 pm    Post subject: Reply with quote

See listing 2.3
Back to top
View user's profile Send private message
grofaz
Guru
Guru


Joined: 18 Sep 2005
Posts: 319

PostPosted: Sat Jul 01, 2006 3:05 am    Post subject: Reply with quote

I just looked at ebuilds site and it list xorg/x11 6.9 as masked so why is my emerge -uaD world trying to update me to 6.9??

I don't want it and I didn't unmask it as far as I know. How do I fix this without resorting to modular x? I would go that route only if they've fixed the problem with breaking the nvidia driver. Help appreciated!
Back to top
View user's profile Send private message
UncleOwen
Veteran
Veteran


Joined: 27 Feb 2003
Posts: 1493
Location: Germany, Hamburg

PostPosted: Sat Jul 01, 2006 8:20 am    Post subject: Reply with quote

It's probably not, you're just mis-reading the output. But then again, it's hard to tell without any information (e.g. the output from emerge -uDpvt world)
Back to top
View user's profile Send private message
cmulcahy
n00b
n00b


Joined: 03 Aug 2004
Posts: 64
Location: Minneapolis, MN

PostPosted: Sat Jul 01, 2006 2:28 pm    Post subject: Reply with quote

I'll post my output from emerge -uDpvt world in just a moment.

I now have to go fix the newly broken java-config issue. I see there are a dozen or so threads about it getting spontaneously broken for people. Let me fix this issue, then I'll come back to my original issue.
_________________
Having a non-smoking section in a restaraunt is as effective as having a non-peeing section in a pool.
Back to top
View user's profile Send private message
aguettinger
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2003
Posts: 84

PostPosted: Sat Jul 01, 2006 3:06 pm    Post subject: Reply with quote

I hope it's not updating you to xorg-x11-6.9, but to modular xorg-x11-7.0 which has become stable since yesterday. xorg-x11-7.1 is not stable yet because of nvidia/ati driver issues, but corg-x11-7.0 is stable now. I just updated from xorg-x11-6.8.2-r8 to modular xorg-x11-7.0 with help of

http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml

without any problems. It's really easy, my aunt Annie could do it. You only have to unmask a few packages now it is stable, and I think the guide has been updated accordingly?
To show how easy I summarize the 10 steps I had to do to get xorg-x11-7.0 following the guide (please don't do the same, follow the guide, the steps may differ depending on the configuration):

1. quickpkg xorg-x11
2. emerge -Ca xorg-x11 virtual/x11
3. added:
media-video/nvidia-kernel ~amd64
media-video/nvidia-glx ~amd64
to /etc/portage/package.keywords
4. check for "dri" and "dlloader" in USE flags in /etc/make.conf
5. added INPUT_DEVICES="keyboard mouse" to /etc/make.conf
6. added VIDEO_CARDS="nvidia" to /etc/make.conf
7. emerge xorg-x11
8. etc-update
9. revdep-rebuild
10. emerge --update --newuse --deep -v world

- Andy
Back to top
View user's profile Send private message
shamu112
n00b
n00b


Joined: 15 Jul 2004
Posts: 37
Location: Minnesota

PostPosted: Sat Jul 01, 2006 3:57 pm    Post subject: Reply with quote

Anybody else getting this?

Code:

# emerge -upv nvidia-glx

These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B     ] >=x11-base/xorg-server-1.0.99 (is blocking media-video/nvidia-glx-1.0.8762)
[ebuild  N    ] media-video/nvidia-kernel-1.0.8762  0 kB
[ebuild  N    ] media-video/nvidia-glx-1.0.8762  USE="dlloader" 0 kB

Total size of downloads: 0 kB


I've got package.keywords:
Code:


media-video/nvidia-glx ~amd64
media-video/nvidia-kernel ~amd64


[ebuild R ] x11-base/xorg-server-1.1.0-r1 USE="dri nptl sdl xorg -debug -dmx -ipv6 -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="fbdev vesa -apm -ark -chips -cirrus -cyrix -dummy -epson -glint -i128 -i810 -mach64 -mga -neomagic -nv* -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb -tdfx -tga -trident -tseng -v4l -vga -via -vmware -voodoo" 0 kB

xorg-server doesn't seem to have the "nvidia" option in xorg-x11-7.1.
Back to top
View user's profile Send private message
cfgauss
Guru
Guru


Joined: 18 May 2005
Posts: 308
Location: USA

PostPosted: Sat Jul 01, 2006 4:04 pm    Post subject: Reply with quote

aguettinger wrote:
...I just updated from xorg-x11-6.8.2-r8 to modular xorg-x11-7.0 with help of

http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml

without any problems...

I, too, have AMD64 with xorg-x11-6.8.2-r7 and the binary nvidia drivers nvidia-glx and nvidia-kernel
and am about to upgrade to xorg-x11-7.0 using that link. I assume it will go well. When I emerge now I get
Code:
 emerge -up world
...
Calculating world dependencies... done!
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/kbproto-1.0.2)
...

where the <=x11-base/xorg-x11-6.9 blocks about 50 new packages. But I have xorg-x11-6.8.2-r7 and
don't have the <=x11-base/xorg-x11-6.9 line in my /etc/portage/package.keywords. Where is this blocking coming from?
Back to top
View user's profile Send private message
aguettinger
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2003
Posts: 84

PostPosted: Sat Jul 01, 2006 6:08 pm    Post subject: Reply with quote

It comes from the current xorg-x11 and virtual/x11. After removing them the blocks will go away.
I don't now why it shows xorg-x11-6.9 as blocking, but I had the same and I was on xorg-x11-6.8.2 too and it was the same for me.

- Andy
Back to top
View user's profile Send private message
genterminl
Guru
Guru


Joined: 12 Feb 2005
Posts: 336
Location: Connecticut, USA

PostPosted: Sun Jul 02, 2006 12:26 am    Post subject: Reply with quote

It's not blocking on x11-6.9. If you read carefully, it's blocking on <=xorg-x11-6.9. I suppose it might have been more clear if it was <xorg-x11-7.0, but I'm not sure that's valid syntax.

I just wish there was an easier way to deal with these cross-blocked updates than manually umerging things. I know it generally works smoothly, but it's a bit scary sometimes. Especially here, where you have the chance of having to work a while without X.
Back to top
View user's profile Send private message
duderonomy
Guru
Guru


Joined: 20 Mar 2004
Posts: 325
Location: SF Bay Area

PostPosted: Sun Jul 02, 2006 7:23 am    Post subject: Reply with quote

Are there any known side-effects to procrastinating this X11 upgrade with
entry in /etc/portage/package.mask like this?
Code:
>=x11-base/xorg-x11-6.8.2-r8
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Sun Jul 02, 2006 12:07 pm    Post subject: Reply with quote

Merged from here.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum